from scipy import *
from numpy import *
from visual import *
import time

sizeOfLattice = 16

center = (int(sizeOfLattice/2.0),int(sizeOfLattice/2.0),0)

class Electron:
    def __init__(self,spinor):
        self.s1upWavefunction = spinor[0]
        self.s1downWavefunction = spinor[1]
        self.s2upWavefunction = spinor[2]
        self.s2downWavefunction = spinor[3]

class Lattice:
    def __init__(self,sizeOfLattice):
        self.sizeOfLattice = sizeOfLattice

        self.electronLattice=[None]*sizeOfLattice
        for x in xrange(sizeOfLattice):
            self.electronLattice=[0]*sizeOfLattice
            for y in xrange(sizeOfLattice):

                spinor = (1,1,1,1)
                self.electronLattice = Electron(spinor)                


lattice = Lattice()
